package com.hzya.frame.sys.thirdparty.api.testparameter.dao;

import com.hzya.frame.sys.thirdparty.api.testparameter.entity.SysThirdpartyapiTestparameter;
import java.util.List;

/**
 * @description: 第三方应用接口测试参数表  dao
 * @tableName: sys_thirdparty_api_testparameter 
 * @entityName: SysThirdpartyapiTestparameter
 * @author: gjh
 * @history: 1.0
 */
public interface ISysThirdpartyapiTestparameterMapper {

        //通过ID获取数据    entity_get
        SysThirdpartyapiTestparameter entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<SysThirdpartyapiTestparameter> entity_list_base(SysThirdpartyapiTestparameter entity);

        //  查询符合条件的数量
        Integer entity_count(SysThirdpartyapiTestparameter entity);

        //分页查询列表 采用like格式 entity_list_like
        List<SysThirdpartyapiTestparameter> entity_list_like(SysThirdpartyapiTestparameter entity);

        //查询列表 字段采用or格式   entity_list_or
        List<SysThirdpartyapiTestparameter> entity_list_or(SysThirdpartyapiTestparameter entity);

        //新增  entity_insert
        Integer entity_insert(SysThirdpartyapiTestparameter entity);

        //修改  entity_update
        Integer entity_update(SysThirdpartyapiTestparameter entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(SysThirdpartyapiTestparameter entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(SysThirdpartyapiTestparameter entity);

        //物理删除
        Integer entity_delete(SysThirdpartyapiTestparameter entity);


        Integer delect_by_ThirdpartyApiId(List<String> interviceids);
}
